<?php

	switch ($acao) {
		case 'insert':
			
			date_default_timezone_set("Brazil/East");
			
			$dataAtual = date("Y-m-d");
			
			//Horário do Brasil - São Paulo
			$horaAtual = date('H:i:s');
			
			$dataCriacao = $dataAtual." ".$horaAtual;

			$insertCampanhaDb = mysql_query("INSERT INTO emk_campanhas(nomeCampanha, assuntoEmail, conteudoEmail, dataCriacao) VALUES('".mysql_escape_string(utf8_decode($_POST['nomeCampanha']))."', '".mysql_escape_string(utf8_decode($_POST['assuntoEmail']))."', '".mysql_escape_string(utf8_decode($_POST['conteudoEmail']))."', '".mysql_escape_string(utf8_decode($dataCriacao))."')");

?>
			<meta http-equiv="refresh" content="3; url=miolo.php?miolo=listas" />
			<table border="0" cellspacing="10" class="tabela-conteudo">
				<tbody>
					<tr>
						<td colspan="2" class="titulos-internos">Criar Lista</td>
					</tr>
					<tr>
						<td>
						<?php
							if ($insertCampanhaDb >= 1) {
								echo "Campanha criada com sucesso!";
							}
							else{
								echo "Falha ao criar campanha!";
							}
						?>
						</td>
					</tr>
				</tbody>
			</table>
<?php
			break;

		case "edit":

			$updateLista = mysql_query("UPDATE emk_listas SET nome = '".mysql_escape_string(utf8_decode($_POST['nomeLista']))."', descricao = '".mysql_escape_string(utf8_decode($_POST['descricaoLista']))."', statusLista = '".mysql_escape_string($_POST['ativarLista'])."' WHERE id = '".mysql_escape_string($_POST['idLista'])."'");
?>				
				<meta http-equiv="refresh" content="3; url=miolo.php?miolo=camp&acao=ver" />
				<table border="0" cellspacing="10" class="tabela-conteudo">
					<tbody>
						<tr>
							<td colspan="2" class="titulos-internos">Editar Lista</td>
						</tr>
						<tr>
							<td>
							<?php
								if ($updateLista >= 1) {
									echo "Lista editada com sucesso!";
								}
								else{
									echo "Falha ao editar lista!";
								}
							?>
							</td>
						</tr>
					</tbody>
				</table>
<?php	
			break;
	}
?>